import request from '@/utils/request'

// 获取商品列表
export function getCylinder(parameter) {
  return request({
    url: '/api/gas-cylinder-spec',
    method: 'get',
    params: parameter
  })
}

// 获取商品详情
export function getCylinderDetails(parameter) {
  return request({
    url: '/api/gas-cylinder-spec/' + parameter,
    method: 'get',
  })
}

// 添加商品
export function addCylinder(parameter) {
  return request({
    url: '/api/gas-cylinder-spec',
    method: 'post',
    data: parameter
  })
}

// 编辑商品
export function putCylinder(parameter) {
  return request({
    url: '/api/gas-cylinder-spec',
    method: 'put',
    data: parameter
  })
}

// 删除商品
export function delCylinder(parameter) {
  return request({
    url: '/api/gas-cylinder-spec',
    method: 'delete',
    data: parameter
  })
}
